- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- MenuView
Lists menus.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*}/menus
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of menus. Format: projects/{project}/locations/{location} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of menus to return. The service may return fewer than this value. |
pageToken |
Optional. A page token, received from a previous |
filter |
Optional. A filter expression that filters the results. The expression syntax is documented in https://google.aip.dev/160. The following fields are supported: -
|
view |
Optional. The view to return for the menus. |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListMenus.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"menus": [
{
object ( |
| Fields | |
|---|---|
menus[] |
The menus from the specified collection. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
MenuView
Specifies the level of detail to return for menus.
| Enums | |
|---|---|
MENU_VIEW_UNSPECIFIED |
The default / unset value. The API will default to the FULL view. |
MENU_VIEW_BASIC |
Include basic metadata about the menu. |
MENU_VIEW_NAME_ONLY |
Only include the name of the menu |
MENU_VIEW_FULL |
Include everything. This is the default value. |